Bug 268879 - bandwidth scheduler allows for inserting of overlapping time segments
Summary: bandwidth scheduler allows for inserting of overlapping time segments
Status: RESOLVED FIXED
Alias: None
Product: ktorrent
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: Debian testing Linux
: NOR minor (vote)
Target Milestone: ---
Assignee: Joris Guisson
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-03-19 11:27 UTC by Pavel Mendl
Modified: 2011-03-21 19:10 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Pavel Mendl 2011-03-19 11:27:06 UTC
Version:           unspecified (using KDE 4.4.5) 
OS:                Linux

I was able to insert schedule like 8:00-23:59, then insert another one like 15:00-16:59 without complains from application. However when I tried to edit and re-save, I got something like "The item is in conflict with other item and can not be saved." (back translation from nationalised message).

I checked plugins/bwscheduler/schedule.h/.c and found out, that conflict() does not allow any overlapping times. However seems test is not done (at least allways/correctly) when inserting new item in GUI.

Reproducible: Always

Steps to Reproduce:
1) Place any timespan in bandwidth schedule.
2) Place any other nested in it (start > original start && end < original end). The new span will be accepted. (Maybe works even for non-nested ones, but did not try to test.)
3) Try to edit original (wider) timespan.


Expected Results:  
I will place separate wishlist with some clues on my object analysis and links to related wishlinks and link this to it.
Comment 1 Joris Guisson 2011-03-21 19:10:55 UTC
Git commit 98c497eb12f00b01092192e8ed2d17030db24d3f by Joris.
Committed on 21/03/2011 at 19:11.
Pushed by guisson into branch 'master'.

Fix bug making it possible to add conflicting items to the schedule ()
- Make it possible for schedule items to span multiple days

BUG: 268879
BUG: 225939

M  +2    -0    ChangeLog     
M  +13   -2    plugins/bwscheduler/CMakeLists.txt     
D  +0    -196  plugins/bwscheduler/additemdlg.cpp     
D  +0    -67   plugins/bwscheduler/additemdlg.h     
D  +0    -342  plugins/bwscheduler/additemdlg.ui     
M  +1    -1    plugins/bwscheduler/bwprefpage.cpp     
M  +1    -1    plugins/bwscheduler/bwschedulerplugin.cpp     
M  +91   -43   plugins/bwscheduler/edititemdlg.cpp     
M  +15   -7    plugins/bwscheduler/edititemdlg.h     
M  +18   -8    plugins/bwscheduler/edititemdlg.ui     
M  +1    -1    plugins/bwscheduler/ktbwschedulerplugin.desktop     
M  +96   -30   plugins/bwscheduler/schedule.cpp     
M  +48   -5    plugins/bwscheduler/schedule.h     
M  +17   -12   plugins/bwscheduler/scheduleeditor.cpp     
M  +1    -1    plugins/bwscheduler/scheduleeditor.h     
M  +132  -33   plugins/bwscheduler/schedulegraphicsitem.cpp     
M  +4    -7    plugins/bwscheduler/schedulegraphicsitem.h     
M  +60   -13   plugins/bwscheduler/weekscene.cpp     
M  +23   -2    plugins/bwscheduler/weekscene.h     
M  +7    -8    plugins/bwscheduler/weekview.cpp     
M  +1    -1    plugins/bwscheduler/weekview.h     

http://commits.kde.org/ktorrent/98c497eb12f00b01092192e8ed2d17030db24d3f